commit:     9d2a44d8f4b17951ccc4f8d192321fa0f8f9cc50
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun May  4 18:47:18 2025 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun May  4 18:47:18 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d2a44d8

app-office/abiword: add 3.0.6

Bug: https://bugs.gentoo.org/722216
Bug: https://bugs.gentoo.org/734280
Bug: https://bugs.gentoo.org/926070
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 app-office/abiword/Manifest             |   2 +
 app-office/abiword/abiword-3.0.6.ebuild | 156 ++++++++++++++++++++++++++++++++
 2 files changed, 158 insertions(+)

diff --git a/app-office/abiword/Manifest b/app-office/abiword/Manifest
index ea91b62b62ce..c695b7c59c6a 100644
--- a/app-office/abiword/Manifest
+++ b/app-office/abiword/Manifest
@@ -1,2 +1,4 @@
+DIST AbiWord-release-3.0.6.tar.bz2 7885506 BLAKE2B 
d01b1b04898c7e484af1514b9782910eaeaec7291e52ab0cdd5a5d989bf2b1e843c9e81770ab1a006fff9b0e8ec0b699e094894356e6faa0b187fb166cabd279
 SHA512 
f62508ec27b1dd15bab9db337c2f4274ed0ba39878f8189fa7926bbf255b55408d8707f0fdd27e66ef14148980bdb86b1cfae0d0dfd2d1c05757385ceafec21a
 DIST abiword-3.0.4-patchset-r3.txz 14752 BLAKE2B 
2faaaf333a38ea181b83819fd53fd97c5e98a0cbb0b2ad6e668254a88cb69e922fd3b70a181fc7edd789bc313d929915460a0524ff463166400d8e46d878c034
 SHA512 
e8d2508cf561b49581441b3b581dd663a966da67175f2a39d4a95a6035d8c8c7c3198ca99f253f8d6f3993a66be752265f612b6c59c7712592e464a1da0f240e
 DIST abiword-3.0.5.tar.gz 11084159 BLAKE2B 
c34361c2ae1604ef1ec913781c98f3707f3c98c3fb5ed5328212b51081706fe5177fb8b5a3805431c0ee451f04d8d95fdc6e7dbc3fc38d9d5037b576e115ee54
 SHA512 
a2484268901ff47307c9d1f1928622e364f1006f22ce38257c585144df9411dfe3c2dea28c1f1f50a6e545e8cc579cce34117a89dfa771e20312e3ea1a9989d6
+DIST abiword-3.0.6-patches.tar.xz 17576 BLAKE2B 
370dc56334b605572afd93693fbe64f5c7ff185f554ecff9cf0cfbca7917698039ce3820b33f7764d878bef1e5120a568da4c96c607449815b585ccfda6300a5
 SHA512 
e20a8145c9f5da36fdb2c232e2bf793fea854b20a0e9506c3de3cd85856455e1c482b967abbf3af46dbc18d449b3ae49f24993cb3d445d514ea977798ccda22e

diff --git a/app-office/abiword/abiword-3.0.6.ebuild 
b/app-office/abiword/abiword-3.0.6.ebuild
new file mode 100644
index 000000000000..c658c6e0f63e
--- /dev/null
+++ b/app-office/abiword/abiword-3.0.6.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit autotools python-single-r1 xdg
+
+DESCRIPTION="Fully featured yet light and fast cross platform word processor"
+HOMEPAGE="http://www.abisource.com/";
+SRC_URI="
+       
https://gitlab.gnome.org/World/AbiWord/-/archive/release-${PV}/AbiWord-release-${PV}.tar.bz2
+       https://dev.gentoo.org/~soap/distfiles/${PN}-3.0.6-patches.tar.xz";
+S="${WORKDIR}/AbiWord-release-${PV}"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~amd64-linux 
~x86-linux"
+IUSE="calendar collab cups debug eds +goffice grammar +introspection latex map 
math +plugins readline redland spell wordperfect wmf thesaurus"
+# You need 'plugins' enabled if want to enable the extra plugins
+REQUIRED_USE="
+       collab? ( plugins )
+       grammar? ( plugins )
+       introspection? ( ${PYTHON_REQUIRED_USE} )
+       latex? ( plugins )
+       math? ( plugins )
+       readline? ( plugins )
+       thesaurus? ( plugins )
+       wmf? ( plugins )
+       wordperfect? ( plugins )"
+
+RDEPEND="
+       >=app-text/wv-1.2
+       >=dev-libs/fribidi-0.10.4
+       >=dev-libs/glib-2.16:2
+       >=dev-libs/libgcrypt-1.4.5:0=
+       dev-libs/libxslt
+       >=gnome-base/librsvg-2.16:2
+       >=gnome-extra/libgsf-1.14.18:=
+       media-libs/libjpeg-turbo:=
+       >=media-libs/libpng-1.2:0=
+       >=x11-libs/cairo-1.10
+       >=x11-libs/gtk+-3.0.8:3[cups?]
+       calendar? ( >=dev-libs/libical-0.46:= )
+       eds? ( >=gnome-extra/evolution-data-server-3.6.0:= )
+       goffice? ( >=x11-libs/goffice-0.10.2:0.10 )
+       introspection? (
+               ${PYTHON_DEPS}
+               >=dev-libs/gobject-introspection-1.0.0:=
+       )
+       map? ( >=media-libs/libchamplain-0.12:0.12[gtk] )
+       plugins? (
+               collab? (
+                       >=dev-libs/libxml2-2.4:2
+                       >=net-libs/loudmouth-1
+                       net-libs/libsoup:2.4
+                       net-libs/gnutls:=
+               )
+               grammar? ( >=dev-libs/link-grammar-4.2.1 )
+               math? ( >=x11-libs/gtkmathview-0.7.5 )
+               readline? ( sys-libs/readline:0= )
+               thesaurus? ( >=app-text/aiksaurus-1.2[gtk] )
+               wordperfect? (
+                       app-text/libwpd:0.10
+                       app-text/libwpg:0.3
+               )
+               wmf? ( >=media-libs/libwmf-0.2.8 )
+       )
+       redland? (
+               >=dev-libs/redland-1.0.10
+               >=dev-libs/rasqal-0.9.17
+       )
+       spell? ( app-text/enchant:2 )"
+DEPEND="${RDEPEND}
+       dev-libs/boost
+       collab? ( dev-cpp/asio )"
+BDEPEND="
+       dev-lang/perl
+       virtual/pkgconfig"
+
+PATCHES=( "${WORKDIR}"/patches )
+
+pkg_setup() {
+       use introspection && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local plugins=()
+
+       if use plugins; then
+               # Plugins depending on libgsf
+               plugins+=(t602 docbook clarisworks wml kword hancom openwriter 
pdf
+                       loadbindings mswrite garble pdb applix opendocument sdw 
xslfo)
+
+               # Plugins depending on librsvg
+               plugins+=(svg)
+
+               # Plugins not depending on anything
+               plugins+=(gimp bmp freetranslation iscii s5 babelfish opml eml 
wikipedia
+                       gdict passepartout google presentation urldict hrtext 
mif openxml)
+
+               # inter7eps: eps.h
+               # libtidy: gsf + tidy.h
+               # paint: windows only ?
+               plugins+=(
+                       $(usev collab)
+                       $(usev goffice)
+                       $(usev latex)
+                       $(usev math mathview)
+                       # psion: >=psiconv-0.9.4
+                       $(usev readline command)
+                       $(usev thesaurus aiksaurus)
+                       $(usev wmf)
+                       # wordperfect: >=wpd-0.9 >=wpg-0.2
+                       $(usev wordperfect wpg)
+               )
+       fi
+
+       econf \
+               --disable-maintainer-mode \
+               --enable-plugins="${plugins[*]}" \
+               --disable-default-plugins \
+               --disable-builtin-plugins \
+               --disable-collab-backend-telepathy \
+               --enable-clipart \
+               --enable-statusbar \
+               --enable-templates \
+               --with-gio \
+               --without-gnomevfs \
+               --without-gtk2 \
+               $(use_enable debug) \
+               $(use_with goffice goffice) \
+               $(use_with calendar libical) \
+               $(use_enable cups print) \
+               $(use_enable collab collab-backend-xmpp) \
+               $(use_enable collab collab-backend-tcp) \
+               $(use_enable collab collab-backend-service) \
+               $(use_with eds evolution-data-server) \
+               $(use_enable introspection) \
+               $(use_with map champlain) \
+               $(use_with redland) \
+               $(use_enable spell)
+}
+
+src_install() {
+       default
+
+       # no static archives
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to